commit:     3e47a4bdcda45548e3759830d1ece0ed4783a846
Author:     Michael Weber <xmw <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 16 08:16:18 2017 +0000
Commit:     Michael Weber <xmw <AT> gentoo <DOT> org>
CommitDate: Thu Mar 16 08:16:40 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e47a4bd

sci-electronics/xcircuit: Version bump (hint by coyote, bug 612628).

Package-Manager: Portage-2.3.4, Repoman-2.3.2

 sci-electronics/xcircuit/Manifest               |  1 +
 sci-electronics/xcircuit/xcircuit-3.9.62.ebuild | 67 +++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/sci-electronics/xcircuit/Manifest 
b/sci-electronics/xcircuit/Manifest
index 8c4ea22bc5f..d4f23d0ed36 100644
--- a/sci-electronics/xcircuit/Manifest
+++ b/sci-electronics/xcircuit/Manifest
@@ -1,2 +1,3 @@
 DIST xcircuit-3.7.48.tgz 1648993 SHA256 
4d6e7cb155f41d2643e9d1a07865de49aa31cbd238a951ac5d74e13e4c03457b SHA512 
686bd2139a6d2d5011b51ff500ea9ffb4007326734eafc0afeec250cb844d8107a344c4ef90d2ed747d8485e7dc8dca69c7e62fd785fc17d3f3460212a0dcb84
 WHIRLPOOL 
6f935190c7a95e3d4dac48090efa18418ca9e6e8e345f23a27da35debf0aeae7ca1223e1b2e975cce1619d3f2ff878e72a0cd3bee103624214955397c40739ce
 DIST xcircuit-3.8.83.tgz 1533560 SHA256 
263d54f455b0624b3497d375ebf1f557c9b99900a64cb21c013db8690d5248df SHA512 
2fc798c7fd1e098e4cf1605cd46007ae980be27373cdc0089a129f4a98be475c6a7452e8498c39d28bc97e7b8d7dcd9ef35e029ca416fb49144f00bf83c4b36a
 WHIRLPOOL 
a3b56df2e58d3f6107eda1e35417a029df04cbe8611778704dbbfe95abedb32fde16f96bfe1959b73f863f2c04854c3e03b7ad7dfa371237da5eabdf90e7f49b
+DIST xcircuit-3.9.62.tgz 1610475 SHA256 
d20129b67e61ffe2a81b53054f563b3ad79733983140b74f6aa51e5e41538fda SHA512 
8042c2b891336e3985385eaefa5762f806af779f2885a74f180b91fdd5178cfb276e496974ad7e81e64cd3e403b4039d060ab6a660a52f18455cd67811609fd7
 WHIRLPOOL 
a11c60058b7917f2880ec817823fc153970b6028e698a103066799df3ef0ad559d874561209270f30e28cf28347b37ae2e6f98c98d9c3e71d33c350c3af4f973

diff --git a/sci-electronics/xcircuit/xcircuit-3.9.62.ebuild 
b/sci-electronics/xcircuit/xcircuit-3.9.62.ebuild
new file mode 100644
index 00000000000..c43e347fcd2
--- /dev/null
+++ b/sci-electronics/xcircuit/xcircuit-3.9.62.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=yes
+
+inherit autotools-utils multilib
+
+DESCRIPTION="Circuit drawing and schematic capture program"
+SRC_URI="http://opencircuitdesign.com/xcircuit/archive/${P}.tgz";
+HOMEPAGE="http://opencircuitdesign.com/xcircuit";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+DEPEND="
+       app-text/ghostscript-gpl
+       dev-lang/tk:0
+       media-libs/fontconfig:1.0
+       sys-libs/zlib
+       x11-libs/cairo
+       x11-libs/libX11
+       x11-libs/libXt
+       x11-libs/libXpm
+       x11-libs/libSM
+       x11-libs/libICE
+"
+RDEPEND=${DEPEND}
+
+RESTRICT="test" #131024
+
+AUTOTOOLS_IN_SOURCE_BUILD=1
+
+src_prepare() {
+       # automake-1.12
+       sed \
+               -e '/AM_C_PROTOTYPES/d' \
+               -i configure.in || die
+       # automake-1.13
+       mv configure.{in,ac} || die
+       autotools-utils_src_prepare
+}
+
+src_configure() {
+       export loader_run_path="/usr/$(get_libdir)"
+       local myeconfargs=(
+               --disable-dependency-tracking
+               --with-tcl
+               --with-ngspice
+               --with-tk
+               --with-cairo
+       )
+       autotools-utils_src_configure
+}
+
+src_compile() {
+       autotools-utils_src_compile appdefaultsdir="/usr/share/X11/app-defaults"
+}
+
+src_install () {
+       autotools-utils_src_install \
+               appdefaultsdir="/usr/share/X11/app-defaults" \
+               appmandir="/usr/share/man/man1"
+}

Reply via email to